﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace WebApplication74.Controllers
{
    public class StateManagementController : Controller
    {
        // GET: StateManagement
        public ActionResult Index()
        {
            return View();
        }


		//Obsluga sesji
		public ActionResult SessionTest()
		{
			if (Session["a"] == null)
			{
				ViewBag.Message = "Sesja jest pusta";
			}
			else
			{
				ViewBag.Message = Session["a"];
			}

			return View();
		}

		[HttpPost]
		public ActionResult SessionTest(string value)
		{
			if (!String.IsNullOrEmpty(value))
			{
				Session["a"] = value;

				return RedirectToAction("SessionTest");
			}

			return View();
		}


		//Obsluga kontekstu aplikacji
		public ActionResult AppTest()
		{
			var app = HttpContext.Application;

			if (app["a"] == null)
			{
				ViewBag.Message = "Kontekst aplikacji jest pusty";
			}
			else
			{
				ViewBag.Message = app["a"];
			}

			return View();
		}

		[HttpPost]
		public ActionResult AppTest(string value)
		{
			var app = HttpContext.Application;

			if (!String.IsNullOrEmpty(value))
			{
				app["a"] = value;

				return RedirectToAction("AppTest");
			}

			return View();
		}


		//Obsluga ciasteczek
		public ActionResult CookieTest()
		{
			if (Request.Cookies["a"] == null)
			{
				ViewBag.Message = "Brak ciasteczka";
			}
			else
			{
				ViewBag.Message = Request.Cookies["a"].Value;
			}

			return View();
		}

		[HttpPost]
		public ActionResult CookieTest(string value)
		{
			HttpCookie cookie;

			if (!String.IsNullOrEmpty(value))
			{
				cookie = new HttpCookie("a");
				cookie.Value = value;
				cookie.Expires = DateTime.Now.AddSeconds(30);

				Response.Cookies.Add(cookie);

				return RedirectToAction("CookieTest");
			}

			return View();
		}
	}
}